Support » Plugin: SEO Ultimate » jQuery is deprecated with WP 5.5

  • I have to disable the plugin as it causes issues switching from Visual to Text edit mode.

    1.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.fn.load() is deprecated
    	2.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.browser is deprecated
    	3.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.browser is deprecated
    	4.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.fn.load() is deprecated
    	5.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.browser is deprecated
    	6.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.browser is deprecated
    	7.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.fn.load() is deprecated
    	8.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.browser is deprecated
    	9.	https://127.0.0.1/wp-content/plugins/seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.browser is deprecated
    
    Please make sure you are using the latest version of all of your plugins, and your theme. If you are, you may want to ask the developers of the code mentioned in the warnings for an update.
    
Viewing 6 replies - 1 through 6 (of 6 total)
  • Hi guys, I am also getting a similar error. jQuery Migrate Helper is reporting the following many times over.
    “seo-ultimate/includes/jlsuggest/jlsuggest.js: jQuery.fn.load() is deprecated”

    Just thought you should know.

    Cheers, Bryan

    Thread Starter Steve Pringle

    (@sipylus)

    Thankfully, I updated one site first so I left the others behind. The only thing I/we have to worry about now is new plugins requiring PHP 7.3 and later.

    We have to migrate to another SEO Plugin for a time.

    I’m going to go with Yoast for now

    Here’s how to migrate easily.

    Just remember to use wp_title(); for your title and from there update your home page SEO settings in the Yoast settings

    https://www.joomlacandy.com/wordpress/migrate-seo-ultimate-yoast-seo

    That’s the quickest way to deal with this right now

    Thread Starter Steve Pringle

    (@sipylus)

    Hey @345ad

    We’ve had Yoast before. Removed it after they made an update just to put a holiday advert promo then another update after the promo was done to remove it. That’s wasting our time so we got rid of it from our sites.

    Hopefully SEO Ultimate will come through. If not, we’ll just do things manually going forward.

    It really seems like nobody at their support is reading any kind of support request.
    Really worrying!
    At this time, if you try to modify a woocommerce product, you won’t see the tabs for variations, etc. You need to disable SEO Ultimate pro plugin….
    I wish they would at least be transparent on what is going on!
    Cheers

    Update, I received this reply from them yesterday, maybe it helps someone in this thread regarding Jquery.
    For my problem (product set-up tabs such as variations, etc. no longer appear in Woocommerce with SEO Ultimate enabled) it did not work.

    **** their reply ******
    For that one- Try using this plugin in the meantime until our patch goes live – https://wordpress.org/plugins/enable-jquery-migrate-helper/
    (as we have a pending update from 5.5 and woo fix is included). But this should resolve in the interim

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘jQuery is deprecated with WP 5.5’ is closed to new replies.